Compute a tag for the message

- « sodium_crypto_auth_verify

- sodium_crypto_box_keypair_from_secretkey_and_publickey »

- PHP Manual
- Sodium Functions
- Compute a tag for the message

# sodium_crypto_auth

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_auth — Compute a tag for the message

### Description

sodium_crypto_auth(string `$message`, string `$key`): string

Symmetric message authentication via sodium_crypto_auth() provides integrity, but not confidentiality.

Unlike with digital signatures (e.g. sodium_crypto_sign_detached()), any party capable of verifying a message is also capable of authenticating their own messages. (Hence, symmetric authentication.)

### Parameters

`message`

  The message you intend to authenticate

`key`

  Authentication key

### Return Values

Authentication tag